# MRS Viewer

MRS viewer is a MR signals viewer that allow to process QUEST or pre-processing
traitement to them.

CREATIS, Lyon

## How to install

Firstly, you should have at least **Python3.x** (tested on Python 3.5 and
upper). QUEST is not submitted with mrsViewer. To obtaining it, you should
contact Hélène Ratiney (helene.ratiney@creatis.insa-lyon.fr).

### Windows / OSX
JMRUI
Just run :

    $ pip3 install -r requirements.txt

This should work without any problems.

### Linux (Debian family, Red Hat, ...)

wxPython does not have general wheels for Linux systems so you have to install
it a bit more manually. Details on https://wxpython.org/pages/downloads/index.html.
For example, on a Fedora27 with gtk3, the command line is :

    $ pip3 install -f https://extras.wxpython.org/wxPython4/extras/linux/gtk3/fedora-27 wxPython

Install other dependancies with :

    $ pip3 install scipy
    $ pip3 install matplotlib
    $ pip3 install requests
    $ pip3 install h5py
    $ pip3 install pydicom

### OSX

TODO

## Supported signals type

- MRUI
- Bruker
- h5
- DICOM (Siemens)

## Preprocessing implemented

- Phasing
- Damping
- Scaling
- Shifting

## Generate the doc

This is explanationfor Sphinx documentation sofirst make sure that you installed sphinx.

    $ sphinx-apidoc   -o doc/API src -M -F -H mrsViewer -A CREATIS -V 1.0 src/nmrglue

or you might need to run sompthing like this instead
    
    $ sphinx-apidoc-3 -o doc/API src -M -F -H mrsViewer -A CREATIS -V 1.0 src/nmrglue

This will create the {rootproject}/doc/API directory and create .rst files,
Makefile and conf.py file for a project named 'mrsViewer', author 'CREATIS',
version '1.0' (adapt if needed).

    $ cd doc/API

Open conf.py, uncoment/modify the lines 

    import os
    import sys
    sys.path.insert(0, os.path.abspath('../../src'))

In this file, you can also change several settings like the html template or the language.
If you used the sphinx-apidoc-3 command, you might have to change the Makefile : 
SPHINXBUILD   = sphinx-build-3

Once you did that, you can do :

    make X

to create the documentation for the X format. To know what format are supported,
just run

    make

The result will be stored in the 'build' directory.

## TODO list

- Sauvegader les parametres appliquer lors des pre traitements.

- Pouvoir éditer la valeur de prétraitements au lieu de simplement l'afficher,
  pour pouvoir appliquer des valeurs plus fines.

- Des erreurs qui ne ferment pas l'application ?

- Pouvoir afficher les fichiers .txt d'output de cQuest (le parser de 2_quest.txt
  est déjà implémenté dans `quest.qoutput.py`).

- make cQuest execution cleaner 
    * on VIP : faire une file d'attente et gérer le problème de quota.
    Cette erreur aura les caractéristiques suivantes :
        + un code de retour HTTP 403
        + un message au format json avec ce contenu :
          {"errorCode":40301,"errorMessage":"Bla bla bla"}
    * Locally : ca marche, mais actuellement il y a 1 cQuest lancé par fichier,
    alors que l'on peut lancer plusieurs fichiers avec le meme cQuest.

- Pouvoir enregistrer les signaux dans le format que l'on veut : pour l'instant
  on enregistre tout en .mrui.

## Bugs

- Quand on edit un Nom d'un metabolite/macromelules dans la frame cQuest, cela
  ne change pas le nom dans les relations déjà créés.

## Good to know

La gestion des erreurs est pour l'instant très rudimentaire. En testant un peu
les limites du logiciels, on tombe rapidement sur des erreurs non gérées, et ces
dernières arrêtent complètement l'application. Le détail des erreurs est stocké
dans **src/errors.log**. Ne pas supprimer le contenu du fichier, il est utile
pour l'amélioration de l'application.

L'application n'a pour l'instant été testée que sous Fedora 27, environnement
Gnome.

Un **QUEST output** est un dossier dans lequelle est présent les 4 fichiers
de l'output du programme QUEST basique, plus un fichier
*prefix*_quest_orig.mrui, qui correspond au signal original sur lequelle le
traitement a été effectué. Le *prefix* correspond au nom du dossier. Tout dossier
ouvert qui ne respectera pas cela renverra dans le meilleur des cas un message d'erreur
sympathique qui ne fermera pas l'app, dans le pire des cas une exception non gérée qui fermera l'app.



