# -*-coding:utf-8 -*-

# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS : www.creatis.insa-lyon.fr
# Centre de Recherche en Acquisition et Traitement de l'Image pour la Santé
# 
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENCE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------

"""
MRSIGNAL PACKAGE

:synopsis: Analyze and reanimate dead parrots.
Implement all the thing needed for dealing with signals and voxels.

Module :
    - interface : more or less complex ready-to-use widgets, mainly composed
      of widgets described in guitools.
    - guitools : quite simple widgets used in interface module. It's possible
      to use them outside the interface module but it's not encouraged.
      Top user Gui should use widget from the interface module.
    - voxel : module for representing signals and voxel from data files.
    - io : package fro read and save multiple mr file. Support:
        - mrui
        - hdf5
        - bruker
        - dicom (siemens)
"""

# info
__version__ = "Beta"
__author__ = "Timothée Chabat"

# other
__all__ = ["mrui", "voxel", "interface"]
