# -*-coding:Utf-8 -*

# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS : www.creatis.insa-lyon.fr
# Centre de Recherche en Acquisition et Traitement de l'Image pour la Santé
# 
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENCE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------

"""
Store all the usefull constants.
"""

# =======================================================================

SIGNAL_WILDCARDS = "JMRUI files (*.mrui)|*.mrui|" \
                   "BRUKER signals (fid;ser)|fid;ser|" \
                   "HDF5 files (*.h5)|*.h5|" \
                   "DICOM files (*.dcm)|*.dcm|" \
                   "IMA files (*.ima)|*.ima|" \
                   "All files (*)|*"

# =======================================================================

WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
BACKGROUND_COLOR = (242, 242, 242) # LIGHT GRAY
FOREGROUND_COLOR = BLACK
VALIDATED_COLOR = (0, 153, 51) # GREEN
WARNING_COLOR = (230, 92, 0) # ORANGE
CRITICAL_COLOR = (200, 0, 34) # RED
SHOWCASE_COLOR = (102, 163, 255) # BLUE

LOG_LEVEL = [WHITE, SHOWCASE_COLOR, VALIDATED_COLOR,
             WARNING_COLOR, CRITICAL_COLOR]

# =======================================================================

if __name__ == "__main__":
    pass
